require "#{Roroacms::Engine.root}/app/models/roroacms/setting.rb"
require "#{Roroacms::Engine.root}/app/helpers/roroacms/general_helper.rb"
require "#{Roroacms::Engine.root}/app/helpers/roroacms/media_helper.rb"
require "#{Roroacms::Engine.root}/app/models/roroacms/post.rb"

Roroacms::Setting.create(:setting_name => 'articles_slug', :type_of_setting => 'G')
Roroacms::Setting.create(:setting_name => 'home_page', :type_of_setting => 'G', :setting => '1')
Roroacms::Setting.create(:setting_name => 'seo_home_title', :type_of_setting => 'SEO') 
Roroacms::Setting.create(:setting_name => 'seo_home_description', :type_of_setting => 'SEO')
Roroacms::Setting.create(:setting_name => 'seo_rewrite_titles', :type_of_setting => 'SEO')
Roroacms::Setting.create(:setting_name => 'seo_canonical_urls', :type_of_setting => 'SEO')
Roroacms::Setting.create(:setting_name => 'seo_404_title', :type_of_setting => 'SEO')
Roroacms::Setting.create(:setting_name => 'seo_404_description', :type_of_setting => 'SEO')
Roroacms::Setting.create(:setting_name => 'seo_google_analytics_code', :type_of_setting => 'SEO')
Roroacms::Setting.create(:setting_name => 'seo_no_index_categories', :type_of_setting => 'SEO')
Roroacms::Setting.create(:setting_name => 'seo_no_index_archives', :type_of_setting => 'SEO')
Roroacms::Setting.create(:setting_name => 'seo_autogenerate_descriptions', :type_of_setting => 'SEO')
Roroacms::Setting.create(:setting_name => 'seo_site_title', :type_of_setting => 'SEO')
Roroacms::Setting.create(:setting_name => 'category_slug', :type_of_setting => 'G')
Roroacms::Setting.create(:setting_name => 'article_comments', :type_of_setting => 'COMMENTS', :setting => 'Y')
Roroacms::Setting.create(:setting_name => 'article_comment_type', :type_of_setting => 'COMMENTS', :setting => 'R')
Roroacms::Setting.create(:setting_name => 'site_url', :type_of_setting => 'G')
Roroacms::Setting.create(:setting_name => 'tag_slug', :type_of_setting => 'G')
Roroacms::Setting.create(:setting_name => 'site_email', :type_of_setting => 'G')
Roroacms::Setting.create(:setting_name => 'pagination_per', :type_of_setting => 'G', :setting => 25)
Roroacms::Setting.create(:setting_name => 'pagination_per_fe', :type_of_setting => 'G', :setting => 10)
Roroacms::Setting.create(:setting_name => 'theme_folder', :type_of_setting => 'T')
Roroacms::Setting.create(:setting_name => 'aws_access_key_id', :type_of_setting => 'AWS')
Roroacms::Setting.create(:setting_name => 'aws_secret_access_key', :type_of_setting => 'AWS')
Roroacms::Setting.create(:setting_name => 'aws_bucket_name', :type_of_setting => 'AWS')
Roroacms::Setting.create(:setting_name => 'aws_folder', :type_of_setting => 'AWS')
Roroacms::Setting.create(:setting_name => 'smtp_address', :type_of_setting => 'EMAIL')
Roroacms::Setting.create(:setting_name => 'smtp_domain', :type_of_setting => 'EMAIL')
Roroacms::Setting.create(:setting_name => 'smtp_port', :type_of_setting => 'EMAIL')
Roroacms::Setting.create(:setting_name => 'smtp_username', :type_of_setting => 'EMAIL')
Roroacms::Setting.create(:setting_name => 'smtp_password', :type_of_setting => 'EMAIL')
Roroacms::Setting.create(:setting_name => 'smtp_authentication', :type_of_setting => 'EMAIL')
Roroacms::Setting.create(:setting_name => 'setup_complete', :type_of_setting => 'G')
Roroacms::Setting.create(:setting_name => 'tour_taken', :type_of_setting => 'G', :setting => 'N')
Roroacms::Setting.create(:setting_name => 'url_prefix', :type_of_setting => 'G', :setting => 'http://')
Roroacms::Setting.create(:setting_name => 'breadcrumb_seperator', :type_of_setting => 'G', :setting => '/')
Roroacms::Setting.create(:setting_name => 'demonstration_mode', :type_of_setting => 'G', :setting => 'N')
Roroacms::Setting.create(:setting_name => 'user_groups', :type_of_setting => 'G', :setting => '{"admin":["posts","banners","terms","comments","media","menus","pages","revisions","settings","themes","trash","administrators","articles","banners","terms","comments","media","menus","pages","revisions","themes","trash","markdown"]}')

Roroacms::Post.create(:post_title => 'Nunc quis elit volutpa', :post_type => 'page', :cover_image => 'http://lorempixel.com/1440/560/abstract/3', :post_status => 'Published', :post_slug => 'sample', :structured_url => '/sample', :post_date => Time.now.to_s(:db), :admin_id => '1', :post_content => '<strong>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus sollicitudin a orci ut tempor. Praesent in diam sagittis ligula sodales iaculis. Suspendisse ante nisi</strong>
<p>sagittis quis elementum ac, tempor at nisi. Vestibulum convallis luctus nisi, ac tincidunt velit facilisis at. Duis eget rhoncus mi, sit amet fringilla felis. Pellentesque egestas, nisi ullamcorper venenatis vehicula, ipsum sem congue velit, sit amet molestie orci massa quis sapien. Aliquam in nisl quis augue ultricies interdum. Aenean pretium, lacus et posuere porttitor, velit erat placerat mi, tristique bibendum tellus magna sit amet elit. Donec turpis tellus, elementum nec consequat vel, tempus et turpis. Nunc quis elit volutpat, congue justo ac, sollicitudin diam. Etiam rhoncus nibh at ipsum porttitor mollis.</p>')

Roroacms::Post.create(:post_title => 'Nunc quis elit volutpa quis elit volutpa', :post_type => 'post', :cover_image => 'http://lorempixel.com/1440/560/abstract/9', :post_status => 'Published', :post_slug => 'sample-post', :structured_url => '/sample-post', :post_date => Time.now.to_s(:db), :admin_id => '1', :post_content => '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque in consequat tellus. Donec imperdiet vehicula viverra. Maecenas convallis ullamcorper justo, ut egestas metus pharetra vitae. Curabitur sit amet finibus nunc. Morbi laoreet dolor ut commodo hendrerit. Pellentesque iaculis eu ligula quis egestas. Suspendisse at odio dui.</p><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque in consequat tellus. Donec imperdiet vehicula viverra. Maecenas convallis ullamcorper justo, ut egestas metus pharetra vitae. Curabitur sit amet finibus nunc. Morbi laoreet dolor ut commodo hendrerit. Pellentesque iaculis eu ligula quis egestas. Suspendisse at odio dui.</p><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque in consequat tellus. Donec imperdiet vehicula viverra. Maecenas convallis ullamcorper justo, ut egestas metus pharetra vitae. Curabitur sit amet finibus nunc. Morbi laoreet dolor ut commodo hendrerit. Pellentesque iaculis eu ligula quis egestas. Suspendisse at odio dui.</p>')